| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
NTuple::Directory Class Reference

Small class representing an N tuple directory in the transient store. More...

`#include <GaudiKernel/NTuple.h>`

Inheritance diagram for NTuple::Directory:
[legend]
Collaboration diagram for NTuple::Directory:
[legend]

## Public Member Functions
| Directory ()
| Standard constructor. More...
| ~Directory () override=default
| Standard destructor. More...
const CLID & | clID () const override
| class ID of the object More...
Public Member Functions inherited from DataObject
| DataObject ()
| Standard Constructor. More...
| DataObject (const DataObject &rhs)
| Copy Constructor. More...
DataObject & | operator= (const DataObject &rhs)
| Assignment Operator. More...
| DataObject (DataObject &&rhs)
| Move Constructor. More...
DataObject & | operator= (DataObject &&rhs)
| Move Assignment Operator. More...
virtual | ~DataObject ()
| Standard Destructor. More...
virtual unsigned long | addRef ()
| Add reference to object. More...
virtual unsigned long | release ()
| release reference to object More...
const std::string & | name () const
| Retreive DataObject name. It is the name when registered in the store. More...
virtual StatusCode | update ()
| Provide empty placeholder for internal object reconfiguration callback. More...
void | setRegistry (IRegistry *pRegistry)
| Set pointer to Registry. More...
IRegistry * | registry () const
| Get pointer to Registry. More...
LinkManager * | linkMgr () const
| Retrieve Link manager. More...
unsigned char | version () const
| Retrieve version number of this object representation. More...
void | setVersion (unsigned char vsn)
| Set version number of this object representation. More...
unsigned long | refCount () const
| Return the refcount. More...
virtual std::ostream & | fillStream (std::ostream &s) const
| Fill the output stream (ASCII) More...

## Static Public Member Functions
static const CLID & | classID ()
| class ID of the object More...
Static Public Member Functions inherited from DataObject
static const CLID & | classID ()
| Retrieve reference to class definition structure (static access) More...

## Detailed Description

Small class representing an N tuple directory in the transient store.

Definition at line 986 of file NTuple.h.

## Constructor & Destructor Documentation

NTuple::Directory::Directory | ( |  | ) |
| inline

Standard constructor.

Definition at line 990 of file NTuple.h.

990 {}

NTuple::Directory::~Directory | ( |  | ) |
| override default

Standard destructor.

## Member Function Documentation

static const CLID& NTuple::Directory::classID | ( |  | ) |
| inline static

class ID of the object

Definition at line 995 of file NTuple.h.

995 { return CLID_NTupleDirectory; }

const CLID& NTuple::Directory::clID | ( |  | ) | const
| inline override virtual

class ID of the object

Reimplemented from DataObject.

Reimplemented in NTuple::File.

Definition at line 997 of file NTuple.h.

997 { return classID(); }
NTuple::Directory::classID
static const CLID & classID()
class ID of the object
Definition: NTuple.h:995

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/NTuple.h